Forum Support

Shape 5
April 19, 2021, 11:55:54 AM *
Welcome, Guest. Please login or register.

Login with username, password and session length
News: Shape 5 Forum
 
   Home   Help Search Login Register  
Pages: [1]
  Print  
Author Topic: sportopolis - Joomla 2.5 questions  (Read 425 times)
tam103
Jr. Member
**
Offline Offline

Posts: 33



« on: September 07, 2012, 05:10:43 AM »

Hi currently running a site using Sportopolis on Joomla 1.5.

Am going to migrate the site to 2.5 version (would you advise this version over the 1.7 version?) - is there a new template version that I should download so it's 2.5 compatible?
Will I need to redownload all the club extensions etc?

 Also is anything else changing eg will it now have flexible module resizing like the new Modern Flavour template?

Thanks for you time

Logged

If Im posting here it means Ive exhausted all other avenues of information and am really stuck! Please help!
pmiddleton
Global Moderator
*****
Offline Offline

Posts: 2097



« Reply #1 on: September 07, 2012, 05:54:25 AM »

Hi

You will need to download the "current" version in the template downloads. Your 1.5 template(s) won't work in Joomla 1.6+. We have 2.5 versions of both the template and the shapeshifter available for Sportopolis.

As for Joomla versions, 1.7 and 2.5 aren't actually as different as the version numbers suggest. 2.5 is, generally fully backwardly compatible to 1.6. In short, if it works in 1.7, it will work in 2.5, and vice versa. It's usually better to keep up to date, as older versions will stop being supported sooner rather than later, but it's a personal choice.

It's the same with the extensions. The 1.6+ version is different to the 1.5 version, and will need to be reinstalled. This brings, in many cases, new functionality.

Now, having said all that you can, actually, update right from within Joomla. There is a guide on joomla.org -

http://docs.joomla.org/Migrating_from_Joomla_1.5_to_Joomla_2.5

The caveat is that, miss one step, or do it wrong, and recovery is difficult. Just google it, or even search these forums for tons of posts from those who have had migration problems from 1.5 to 2.5. I'm not saying don't do it, I'm just saying it's as much a leap of faith as technology. I've personally done this on several sites, and it hasn't always worked first time. Database errors are common. They are recoverable, but it's still a pain.

Depending on your content volumes, you might consider installing the siteshaper, and then importing your 1.5 content afterwards. There are extensions on extensions.joomla.org which will do that for you. I can't vouch for it, as I haven't used it, but look at the J2XML extension. It seems well regarded, and may do all you need it to after a clean installation. It's free, too.

There are always problems with migrating across major versions. The idea is to minimise them. Unfortunately, with Joomla, it's easier said than done.

And yes, Modern Flavor will give you full responsive layout capability, regardless of the route used to update the site, or the version used. The template isn't available for 1.5, of course.
Logged

Paul
------------
Shape 5 Team


- Using Firebug will save you so much time, frustration and forum questions:
http://getfirebug.com/


- Need some custom coding done on your site? Use our Shape 5 Hire a Coder program for free:
http://www.shape5.com/hire_a_coder/listauctions
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF | SMF © 2013, Simple Machines
Joomla Bridge by JoomlaHacks.com
Valid XHTML 1.0! Valid CSS!
Looking for the largest variety in template designs? Look no more. Never buy 1 theme again. Signups start at just $89 for access to all of our themes.
Send Us An Email
Please send us your questions and we will email you back as soon as we can. Product support questions should be posted in our support forums under the Help menu. Our staff will assist you from there.